RewriteEngine on 
RewriteRule ^/([A-Z][a-zA-Z]+)/([a-zA-Z]+)([0-9]+)/$ /$1/$2_$3.html [L,R=301]
RewriteRule ^/([A-Z][a-zA-Z]+)/([a-zA-Z]+)_\.html$ /$1/ [L,R=301]
RewriteRule ^/(Downloads/author)/([^/]+)/$ /$1.html?name=$2 [L,R=301,QSA]
RewriteRule ^/(Article)s(/.*)?$ /$1$2 [L,R=301]

RewriteRule ^/(Register|Login|User|misc|ContactUs)/(([a-zA-Z]+)(_pg([0-9]+)|_([0-9]+|[0-9a-zA-Z]{2,})(_pg([0-9]+))?)?\.html)?$ /$1.php?act=$3&id=$6&page=$8$5 [L,QSA]

RewriteCond %{DOCUMENT_ROOT}%{REQUEST_URI} !-f
RewriteCond %{DOCUMENT_ROOT}%{REQUEST_URI} !-d
RewriteRule ^/([a-zA-Z]+)/(([a-zA-Z]+)(_pg([0-9]+)|_([0-9]+|[0-9a-zA-Z\.]{2,})(_pg([0-9]+))?)?\.(html|xml|rar|zip|exe|jpg|png|gif|tga|7z|teamcolour))?$ /modules.php?mod=$1&act=$3&id=$6&page=$8$5 [L,QSA]

RewriteRule ^/(Register|Login|User|misc|ContactUs|[A-Z][a-zA-Z]+)/index\.(php|htm)$ /$1/ [L,R=301]
RewriteRule ^/([A-Z][a-zA-Z]+|misc)/([a-zA-Z]+)/?$ /$1/$2.html [L,R=301]
RewriteRule ^/([A-Z][a-zA-Z]+|misc)/([a-zA-Z]+)/?([0-9]+)/?$ /$1/$2_$3.html [L,R=301]
RewriteRule ^/([A-Z][a-zA-Z]+|misc)/([a-zA-Z]+)/?([0-9]+)/pg([0-9]+)/?$ /$1/$2_$3_pg$4.html [L,R=301]
RewriteRule ^/([A-Z][a-zA-Z]+|misc)$ /$1/ [L,R=301]
RewriteRule ^/(.+\.html)/.*$ /$1 [l,R=301]

ErrorDocument 404 /error.php
